ADAM_2.12: Core 0.35.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package sql
  Definition Classes
    adam
- Alignment
- Dbxref
- Feature
- Fragment
- Genotype
- OntologyTerm
- ProcessingStep
- Read
- Reference
- Sequence
- Slice
- TranscriptEffect
- Variant
- VariantAnnotation
- VariantCallingAnnotations
- VariantContext

c

org.bdgenomics.adam.sql

# VariantAnnotation 

###
Companion object VariantAnnotation

#### case class VariantAnnotation(ancestralAllele: Option[String] = None, alleleCount: Option[Int] = None, readDepth: Option[Int] = None, forwardReadDepth: Option[Int] = None, reverseReadDepth: Option[Int] = None, referenceReadDepth: Option[Int] = None, referenceForwardReadDepth: Option[Int] = None, referenceReverseReadDepth: Option[Int] = None, alleleFrequency: Option[Float] = None, cigar: Option[String] = None, dbSnp: Option[Boolean] = None, hapMap2: Option[Boolean] = None, hapMap3: Option[Boolean] = None, validated: Option[Boolean] = None, thousandGenomes: Option[Boolean] = None, somatic: Option[Boolean] = None, transcriptEffects: Seq[TranscriptEffect] = Seq(), attributes: Map[String, String] = Map()) extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. VariantAnnotation
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new VariantAnnotation(ancestralAllele: Option[String] = None, alleleCount: Option[Int] = None, readDepth: Option[Int] = None, forwardReadDepth: Option[Int] = None, reverseReadDepth: Option[Int] = None, referenceReadDepth: Option[Int] = None, referenceForwardReadDepth: Option[Int] = None, referenceReverseReadDepth: Option[Int] = None, alleleFrequency: Option[Float] = None, cigar: Option[String] = None, dbSnp: Option[Boolean] = None, hapMap2: Option[Boolean] = None, hapMap3: Option[Boolean] = None, validated: Option[Boolean] = None, thousandGenomes: Option[Boolean] = None, somatic: Option[Boolean] = None, transcriptEffects: Seq[TranscriptEffect] = Seq(), attributes: Map[String, String] = Map())

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val alleleCount: Option[Int]
5.  val alleleFrequency: Option[Float]
6.  val ancestralAllele: Option[String]
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  val attributes: Map[String, String]
9.  def canEqual(that: Any): Boolean
   Definition Classes
     VariantAnnotation → Equals
10.  val cigar: Option[String]
11.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native() @HotSpotIntrinsicCandidate()
12.  val dbSnp: Option[Boolean]
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  val forwardReadDepth: Option[Int]
15.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
16.  val hapMap2: Option[Boolean]
17.  val hapMap3: Option[Boolean]
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
22.  def productArity: Int
    Definition Classes
      VariantAnnotation → Product
23.  def productElement(i: Int): Any
    Definition Classes
      VariantAnnotation → Product
24.  val readDepth: Option[Int]
25.  val referenceForwardReadDepth: Option[Int]
26.  val referenceReadDepth: Option[Int]
27.  val referenceReverseReadDepth: Option[Int]
28.  val reverseReadDepth: Option[Int]
29.  val somatic: Option[Boolean]
30.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
31.  val thousandGenomes: Option[Boolean]
32.  def toAvro: formats.avro.VariantAnnotation
33.  val transcriptEffects: Seq[TranscriptEffect]
34.  val validated: Option[Boolean]
35.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
36.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
37.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped